﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_CREDITANALYSISLOG') 
 CREATE TABLE T_CCM_CREDITANALYSISLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FDATETIME DATETIME,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FTRACEID VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREDITBILL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITOP VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITBILLNO NVARCHAR(512),
FCREDITBILLNO_TAG NCLOB,
FBIZEXPDESC NVARCHAR(1000),
FLOGDETAIL VARCHAR(512),
FLOGDETAIL_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_CREDITSNAPSHOT_SP') 
 CREATE TABLE T_CCM_CREDITSNAPSHOT_SP (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL,
FQUOTATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGINALUNITID BIGINT DEFAULT 0 NOT NULL,
FORIGINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FACTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FOP VARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FROLEID0 BIGINT DEFAULT 0 NOT NULL,
FROLETYPE0 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLEID1 BIGINT DEFAULT 0 NOT NULL,
FROLETYPE1 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLEID2 BIGINT DEFAULT 0 NOT NULL,
FROLETYPE2 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLEID3 BIGINT DEFAULT 0 NOT NULL,
FROLETYPE3 VARCHAR(80) DEFAULT ' ' NOT NULL,
FUPDATETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FUPDATETIME BIGINT DEFAULT 0 NOT NULL,
FENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FKEYCOL VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FUPDATERULEID BIGINT DEFAULT 0 NOT NULL
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
