-- 信控方案增加组织字段后历史数据升级
update t_ccm_scheme a set fmainorgid=(select b.forgid from t_ccm_scheme_orgentry b where a.fid=b.fid and b.fseq=1)
    where exists(select 1 from t_ccm_scheme_orgentry b where a.fid=b.fid and a.forgscope='SINGLE' and b.fseq=1);
-- 档案申请单增加组织字段后历史数据升级
update t_ccm_archive_apply a set forgid=(select b.fmainorgid from t_ccm_scheme b where a.fscheme = b.fid)
    where exists(select 1 from t_ccm_scheme b where a.fscheme = b.fid);
-- 临时档案申请单增加组织字段后历史数据升级
update t_ccm_temp_archive a set forgid=(select b.fmainorgid from t_ccm_scheme b where a.fschemeid = b.fid)
    where exists(select 1 from t_ccm_scheme b where a.fschemeid = b.fid);
-- 档案申请变更单增加组织字段后历史数据升级
update t_ccm_archive_change a set forgid=(select b.fmainorgid from t_ccm_scheme b where a.fscheme = b.fid)
    where exists(select 1 from t_ccm_scheme b where a.fscheme = b.fid);
