﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_RECALCULATEDETAIL') 
 CREATE TABLE T_CCM_RECALCULATEDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL,
FDIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FQUOTATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGINALUNITID BIGINT DEFAULT 0 NOT NULL,
FORIGINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINENTITYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FACTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FOP VARCHAR(30) DEFAULT ' ' NOT NULL,
FARCHIVEID BIGINT DEFAULT 0 NOT NULL,
FROLEID0 BIGINT DEFAULT 0 NOT NULL,
FROLEID1 BIGINT DEFAULT 0 NOT NULL,
FROLEID2 BIGINT DEFAULT 0 NOT NULL,
FROLEID3 BIGINT DEFAULT 0 NOT NULL,
FROLETYPE0 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE1 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE2 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE3 VARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FRECRECORDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_RECRESULTENTRY') 
 CREATE TABLE T_CCM_RECRESULTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDINCREASESUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWINCREASESUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDREDUCESUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWREDUCESUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOLDBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEWBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEALTYPE VARCHAR(5) DEFAULT 'A' NOT NULL,
FARCHIVETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FROLEID0 BIGINT DEFAULT 0 NOT NULL,
FROLEID1 BIGINT DEFAULT 0 NOT NULL,
FROLEID2 BIGINT DEFAULT 0 NOT NULL,
FROLEID3 BIGINT DEFAULT 0 NOT NULL,
FRELATEDID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_RECALCULATERECORD') 
 CREATE TABLE T_CCM_RECALCULATERECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FRECALCULATEDATE DATETIME,
FRECALCULATORID BIGINT DEFAULT 0 NOT NULL,
FRECSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROLETYPE0 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE1 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE2 VARCHAR(80) DEFAULT ' ' NOT NULL,
FROLETYPE3 VARCHAR(80) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
