﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CCM_JOURNAL', 'T_CCM_JOURNAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_JOURNAL_SRC') CREATE INDEX IDX_CCM_JOURNAL_SRC ON T_CCM_JOURNAL ( FSCHEMEID ,FENTITYKEY ,FBILLID );


 EXEC P_ALTERPK 'PK_T_CCM_ARCHIVE', 'T_CCM_ARCHIVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_ARCHIVE_DATE') CREATE INDEX IDX_CCM_ARCHIVE_DATE ON T_CCM_ARCHIVE ( FSCHEMEID ,FBEGINDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_T_CCM_EC_DIMENSIONS', 'T_CCM_EC_DIMENSIONS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_ECD_PK') CREATE INDEX IDX_CCM_ECD_PK ON T_CCM_EC_DIMENSIONS ( FID );


 EXEC P_ALTERPK 'PK_T_CCM_EC_QUOTATYPES', 'T_CCM_EC_QUOTATYPES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_ECQ_PK') CREATE INDEX IDX_CCM_ECQ_PK ON T_CCM_EC_QUOTATYPES ( FID );


 EXEC P_ALTERPK 'PK_T_CCM_EC_SELECTORS', 'T_CCM_EC_SELECTORS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_ECS_PK') CREATE INDEX IDX_CCM_ECS_PK ON T_CCM_EC_SELECTORS ( FID );


 EXEC P_ALTERPK 'PK_T_CCM_ENTITYCONFIG', 'T_CCM_ENTITYCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_EC_FNUMBER') CREATE INDEX IDX_CCM_EC_FNUMBER ON T_CCM_ENTITYCONFIG ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CCM_ENTITYCONFIG_L', 'T_CCM_ENTITYCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_EC_FID_FLOCALE') CREATE INDEX IDX_CCM_EC_FID_FLOCALE ON T_CCM_ENTITYCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CCM_CHECKTYPEENTRY', 'T_CCM_CHECKTYPEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_SCTE_FID') CREATE INDEX IDX_CCM_SCTE_FID ON T_CCM_CHECKTYPEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CCM_SCHEME', 'T_CCM_SCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_SCHEME_NUMBER') CREATE INDEX IDX_CCM_SCHEME_NUMBER ON T_CCM_SCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_CCM_SCHEME_BSENTRY', 'T_CCM_SCHEME_BSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_SBS_FID') CREATE INDEX IDX_CCM_SBS_FID ON T_CCM_SCHEME_BSENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_CCM_SCHEME_L', 'T_CCM_SCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_SCHEMEL_FID_FLOCALE') CREATE INDEX IDX_CCM_SCHEMEL_FID_FLOCALE ON T_CCM_SCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_CCM_SCHEME_ORGENTRY', 'T_CCM_SCHEME_ORGENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CCM_SOE_FID') CREATE INDEX IDX_CCM_SOE_FID ON T_CCM_SCHEME_ORGENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_constraint.sql **/
