﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_JOURNAL') 
 CREATE TABLE T_CCM_JOURNAL (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL,
FQUOTATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FORIGINALUNITID BIGINT DEFAULT 0 NOT NULL,
FORIGINALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONVERSIONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FENTITYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_ARCHIVE') 
 CREATE TABLE T_CCM_ARCHIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FDIMENSIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FQUOTATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FARCHIVETYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_EC_DIMENSIONS') 
 CREATE TABLE T_CCM_EC_DIMENSIONS (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLEID BIGINT DEFAULT 0 NOT NULL,
FROLEKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_EC_QUOTATYPES') 
 CREATE TABLE T_CCM_EC_QUOTATYPES (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FQUOTATYPEID BIGINT DEFAULT 0 NOT NULL,
FQUOTATYPEKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_EC_SELECTORS') 
 CREATE TABLE T_CCM_EC_SELECTORS (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_ENTITYCONFIG') 
 CREATE TABLE T_CCM_ENTITYCONFIG (
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FORGKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYKEY VARCHAR(30) DEFAULT ' ' NOT NULL,
FPLUGINTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_ENTITYCONFIG_L') 
 CREATE TABLE T_CCM_ENTITYCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_CHECKTYPEENTRY') 
 CREATE TABLE T_CCM_CHECKTYPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_SCHEME') 
 CREATE TABLE T_CCM_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FORGFUNC VARCHAR(10) DEFAULT ' ' NOT NULL,
FORGSCOPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FDIMENSIONID BIGINT DEFAULT 0 NOT NULL,
FMODE VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSINGLECURCONTROL CHAR(1) DEFAULT '0' NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_SCHEME_BSENTRY') 
 CREATE TABLE T_CCM_SCHEME_BSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL,
FREDUCEOPS VARCHAR(255) DEFAULT ' ' NOT NULL,
FINCREASEOPS VARCHAR(255) DEFAULT ' ' NOT NULL,
FISCHECK CHAR(1) DEFAULT '0' NOT NULL,
FFILTERNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTERCONDITIONTEXT NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_SCHEME_L') 
 CREATE TABLE T_CCM_SCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_SCHEME_ORGENTRY') 
 CREATE TABLE T_CCM_SCHEME_ORGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
