﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_BILLSTRATEGY') 
 CREATE TABLE T_CCM_BILLSTRATEGY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENTITYID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL,
FREDUCEOPS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FINCREASEOPS NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISCHECK CHAR(1) DEFAULT '0' NOT NULL,
FPLUGINTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRECALCULATEPLUGINTYPE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FRECALCULATEPLUGIN NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_BILLSTRATEGY_L') 
 CREATE TABLE T_CCM_BILLSTRATEGY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_BS_CHECKENTRY') 
 CREATE TABLE T_CCM_BS_CHECKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHECKFILTER NVARCHAR(510) DEFAULT ' ' NOT NULL,
FCHECKFILTER_TAG NCLOB,
FCHECKFORMULA NVARCHAR(510) DEFAULT ' ' NOT NULL,
FCHECKFORMULA_TAG NCLOB,
FCHECKDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_BS_RECALENTRY') 
 CREATE TABLE T_CCM_BS_RECALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRECALFILTER NVARCHAR(510) DEFAULT ' ' NOT NULL,
FRECALFILTER_TAG NCLOB,
FRECALFORMULA NVARCHAR(510) DEFAULT ' ' NOT NULL,
FRECALFORMULA_TAG NCLOB,
FRECALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_SCHEME_ENTRY') 
 CREATE TABLE T_CCM_SCHEME_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLSTRATEGYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_SCHEME' AND KSQL_COL_NAME ='FCHECKTYPEID') 
 ALTER TABLE T_CCM_SCHEME ADD (FCHECKTYPEID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
