﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_ARCHIVE_APPLY_SCH_E' AND KSQL_COL_NAME ='FMATERIALGROUP') 
 ALTER TABLE T_CCM_ARCHIVE_APPLY_SCH_E ADD (FMATERIALGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_ARCHIVE_APPLY_SCH_E' AND KSQL_COL_NAME ='FSALESGROUP') 
 ALTER TABLE T_CCM_ARCHIVE_APPLY_SCH_E ADD (FSALESGROUP DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_ARCHIVE_APPLY_SCH_E' AND KSQL_COL_NAME ='FSALESORG') 
 ALTER TABLE T_CCM_ARCHIVE_APPLY_SCH_E ADD (FSALESORG DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_ARCHIVE_APPLY_SCH_E' AND KSQL_COL_NAME ='FSALESDEPT') 
 ALTER TABLE T_CCM_ARCHIVE_APPLY_SCH_E ADD (FSALESDEPT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_ARCHIVE_CHANGE') 
 CREATE TABLE T_CCM_ARCHIVE_CHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FSCHEME BIGINT DEFAULT 0 NOT NULL,
FDIMENSION BIGINT DEFAULT 0 NOT NULL,
FORGFUNC VARCHAR(30) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(120) DEFAULT ' ',
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CCM_ARCHIVE_CHANGE_E') 
 CREATE TABLE T_CCM_ARCHIVE_CHANGE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FMATERIAL BIGINT DEFAULT 0 NOT NULL,
FSALEMAN BIGINT DEFAULT 0 NOT NULL,
FGRADE BIGINT DEFAULT 0 NOT NULL,
FQUOTA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINDATEBEFORE DATETIME,
FENDDATEBEFORE DATETIME,
FGRADEBEFORE BIGINT DEFAULT 0 NOT NULL,
FQUOTABEFORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDAYBEFORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_JOURNAL' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_CCM_JOURNAL ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_JOURNAL' AND KSQL_COL_NAME ='FMAINENTITYKEY') 
 ALTER TABLE T_CCM_JOURNAL ADD (FMAINENTITYKEY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_JOURNAL' AND KSQL_COL_NAME ='FMAINBILLID') 
 ALTER TABLE T_CCM_JOURNAL ADD (FMAINBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_JOURNAL' AND KSQL_COL_NAME ='FACTION') 
 ALTER TABLE T_CCM_JOURNAL ADD (FACTION VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CCM_JOURNAL' AND KSQL_COL_NAME ='FOP') 
 ALTER TABLE T_CCM_JOURNAL ADD (FOP VARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CCM_table.sql **/
