
/*==============================================================*/
/* Table: T_CCM_GRADE    信用等级                                   */
/*==============================================================*/
delete from T_CCM_GRADE;
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850608752364096512, 'XYDJ0002_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850608752364096512, 80, 89.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850607041750763520, 'XYDJ0001_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850607041750763520, 90, 100);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850612386577516544, 'XYDJ0003_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850612386577516544, 70, 79.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850612673727958016, 'XYDJ0004_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850612673727958016, 60, 69.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850612974132398080, 'XYDJ0005_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850612974132398080, 50, 59.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850613222108040192, 'XYDJ0006_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850613222108040192, 40, 49.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850613494645524480, 'XYDJ0007_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850613494645524480, 30, 39.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850613789110832128, 'XYDJ0008_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850613789110832128, 20, 29.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (850614120754448384, 'XYDJ0009_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 850614120754448384, 10, 19.99);
insert into T_CCM_GRADE (fid, fnumber, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, frange_value_from, frange_value_to)
values (871524184688191488, 'XYDJ0010_SYS', 'C', 1, 1, '1', {ts'2020-03-25 10:00:00'}, {ts'2020-03-25 10:00:00'}, 871524184688191488, 0, 9.99);

/*==============================================================*/
/* Table: T_CCM_GRADE_L    信用等级多语言                                   */
/*==============================================================*/
delete from T_CCM_GRADE_L;
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG68WYNB00W', 850612386577516544, 'zh_CN', 'A', '企业的信用程度良好，在正常情况下偿还债务没有问题。该类企业具有良好的信用记录，经营处于良性循环状态，但是可能存在一些影响其未来经营与发展的不确定因素，进而削弱其盈利能力和偿还能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG68WYNB00X', 850612386577516544, 'zh_TW', 'A', '企業的信用程度良好，在正常情況下償還債務沒有問題。該類企業具有良好的信用記錄，經營處於良性循環狀態，但是可能存在一些影響其未來經營與發展的不確定因素，進而削弱其盈利能力和償還能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG58YZWI3DP', 850607041750763520, 'zh_CN', 'AAA', '企业的信用程度高、债务风险小。该类企业具有优秀的信用记录，经营状况佳，盈利能力强，发展前景广阔，不确定性因素对其经营与发展的影响极小。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG58YZWI3DQ', 850607041750763520, 'zh_TW', 'AAA', '企業的信用程度高、債務風險小。該類企業具有優秀的信用記錄，經營狀況佳，盈利能力強，發展前景廣闊，不確定性因素對其經營與發展的影響極小。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG5KE3=1DZ=', 850608752364096512, 'zh_CN', 'AA', '企业的信用程度较高，债务风险较小。该类企业具有优良的信用记录，经营状况较好，盈利水平较高，发展前景较为广阔，不确定性因素对其经营与发展的影响很小。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG5KE3=1DZA', 850608752364096512, 'zh_TW', 'AA', '企業的信用程度較高，債務風險較小。該類企業具有優良的信用記錄，經營狀況較好，盈利水平較高，發展前景較為廣闊，不確定性因素對其經營與發展的影響很小。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6A+IXGXQY', 850612673727958016, 'zh_CN', 'BBB', '企业的信用程度一般，偿还债务的能力一般。该类企业的信用记录正常，但其经营状况、盈利水平及未来发展易受不确定因素的影响，偿债能力有波动。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6A+IXGXQZ', 850612673727958016, 'zh_TW', 'BBB', '企業的信用程度一般，償還債務的能力一般。該類企業的信用記錄正常，但其經營狀況、盈利水平及未來發展易受不確定因素的影響，償債能力有波動。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6C5XBN2Q=', 850612974132398080, 'zh_CN', 'BB', '企业信用程度较差，偿还能力不足。该类企业有较多不良信用记录，未来前景不明朗，含有投机性因素。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6C5XBN2QA', 850612974132398080, 'zh_TW', 'BB', '企業信用程度較差，償還能力不足。該類企業有較多不良信用記錄，未來前景不明朗，含有投機性因素。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6E+DBH5QL', 850613222108040192, 'zh_CN', 'B', '企业的信用程度差，偿债能力较弱。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6E+DBH5QM', 850613222108040192, 'zh_TW', 'B', '企業的信用程度差，償債能力較弱。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6FZUFV+TT', 850613494645524480, 'zh_CN', 'CCC', '企业信用很差，几乎没有偿债能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6FZUFV+TU', 850613494645524480, 'zh_TW', 'CCC', '企業信用很差，幾乎沒有償債能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6I3I1S61K', 850613789110832128, 'zh_CN', 'CC', '企业信用极差，没有偿债能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6I3I1S61L', 850613789110832128, 'zh_TW', 'CC', '企業信用極差，沒有償債能力。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6KIRYICTP', 850614120754448384, 'zh_CN', 'C', '企业无信用。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0NG6KIRYICTQ', 850614120754448384, 'zh_TW', 'C', '企業無信用。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0Q0CITO93WWV', 871524184688191488, 'zh_TW', 'D', '企業已瀕臨破產。');
insert into T_CCM_GRADE_L (fpkid, fid, flocaleid, fname, fdescription)
values ('0Q0CITO93WWW', 871524184688191488, 'zh_CN', 'D', '企业已濒临破产。');

delete from T_CCM_GRADEENTRY;
insert into T_CCM_GRADEENTRY (fid, fentryid, fseq, fbalance, fday, fformula)
values (850607041750763520, 850607041801095168, 1, '1000000', '30', ' ');
insert into T_CCM_GRADEENTRY (fid, fentryid, fseq, fbalance, fday, fformula)
values (850614120754448384, 850626081139483648, 1, '100000', '20', ' ');
insert into T_CCM_GRADEENTRY (fid, fentryid, fseq, fbalance, fday, fformula)
values (871524184688191488, 871524184889518080, 1, '10000', '10', ' ');